body {
    background-color: beige;
    border: solid 3px;
    height: 1500px;
}

div {
    height: 150px;
    width: 250px;
    border: solid 5px;
}

.div-pos-1 {
    background-color: brown;
}

.div-pos-2 {
    background-color: yellowgreen;
    position: fixed;
    left: 100px;
}

.div-pos-3 {
    background-color: royalblue;
    width: 100%;
    height: 200px;
    position: sticky;
    top: 0px;
    box-sizing: border-box;
}

